/***************************************************************************
                          MainWindow.h  -  description
                             -------------------
    begin                : ven mag 21 2004
    copyright            : (C) 2004 by Daniele Lavatelli
    email                : ldaniele@interfree.it
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MAIN_WINDOW_H

 #define MAIN_WINDOW_H

 #include <qmainwindow.h>
 #include <qtoolbar.h>
 #include <qspinbox.h>
 #include <qtoolbutton.h>
 #include <qstatusbar.h>
 #include <qpixmap.h>
 #include <qlabel.h>
 #include <qlayout.h>
 #include "ImageBox.h"

 #define MAX_ROWS 5
 #define MAX_COLUMNS 5

 class MainWindow : public QMainWindow
 {
  Q_OBJECT

   public:
   MainWindow(QWidget *parent, const char *name, const char *servername = 0,const char *serverport = 0);
   ~MainWindow();

   public slots:
   void SelChanged(int,int);
   void GotMsg(ErrorType,char*);
   void GotFrameRateMsg(float);

   private slots:
   void RowsChanged(int);
   void ColsChanged(int);
   
   private:
   QToolBar    *mpToolbar;
   QSpinBox    *mpSpinRows;
   QSpinBox    *mpSpinColumns;
   QToolButton *mpToolButtonGrid;
   QToolButton *mpToolButtonInspect;
   QStatusBar  *mpStatusBar;
   QPixmap     mIconNoErrors;
   QPixmap     mIconWarning;
   QPixmap     mIconCritical;
   QLabel      *mpStatusIcon;
   QLabel      *mpStatusMessage;
   QLabel      *mpStatusServerName;
   QLabel      *mpStatusFrameRate;
   QGridLayout *mpMainGrid;
   QWidget     *mpCentralWidget;
   void        InitGrid(const char *,const char *);
   ImageBox    *mpImageBox[MAX_ROWS][MAX_COLUMNS];
   int         mSelX,mSelY;
  
   
 };

#endif
