
#include <linux/videodev.h>

struct capture_parms {
   int card;
   int fd;
   int chan;
   unsigned char *buffer;       /* data from read() or mmap() are first moved
                                   here */
   int bufsize;
   unsigned char *yuv2rgbbuf;   /* only allocated if conversion needed */
   struct video_mbuf v_mbuf;
   unsigned char *mbuffer;      /* buffer for mmap() */
   int capx;
   int capy;
   int mono;
   int quality;
   };

extern struct capture_parms cparms;

void video_init(char *devname, int chan, int mono);
void video_cleanup(void);
void video_alloc_buffers(void);
void video_free_buffers(void);
void video_capture_compress(void);
void video_change_param(int par, int val);
